ChangeSet 1.865.28.3, 2002/12/19 12:07:51-08:00, arnd@bergmann-dalldorf.de

[PATCH] namespace pollution in ibmcam driver

The variable 'cams' should be static.
Don't initialize to 0, while we're here.


diff -Nru a/drivers/usb/media/ibmcam.c b/drivers/usb/media/ibmcam.c
--- a/drivers/usb/media/ibmcam.c	Sun Dec 22 00:41:56 2002
+++ b/drivers/usb/media/ibmcam.c	Sun Dec 22 00:41:56 2002
@@ -87,11 +87,11 @@
 } ibmcam_t;
 #define	IBMCAM_T(uvd)	((ibmcam_t *)((uvd)->user_data))
 
-struct usbvideo *cams = NULL;
+static struct usbvideo *cams;
 
-static int debug = 0;
+static int debug;
 
-static int flags = 0; /* FLAGS_DISPLAY_HINTS | FLAGS_OVERLAY_STATS; */
+static int flags; /* = FLAGS_DISPLAY_HINTS | FLAGS_OVERLAY_STATS; */
 
 static const int min_canvasWidth  = 8;
 static const int min_canvasHeight = 4;
